Subject: RPI diskless full update script

From: Jerome Marc <[email-masked]>
Date: Wed, 13 Aug 2025 00:45:08 +0200

Hello,

I'm using Alpine on a RPI2. I'm very happy with it. It's the perfect distro
for such a low power device and the diskless mode is really unique.
The PI is running 24 7 and executes some network services and Node Red for
home automation. Rock solid and fast. Never had a failure so far.

I would like to automate updates especially for the kernel and the RPI
firmware. The system is built using the latest-stable branch.
I found the update-kernel script in the wiki but it doesn't update the
firmware files.

Maybe there is a magical script that can do the whole maintenance of a
diskless RPI system ?

Thanks.